Package org.jboss.resteasy.core.interception.jaxrs

## Class ClientReaderInterceptorContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.AbstractReaderInterceptorContext
  - - org.jboss.resteasy.core.interception.jaxrs.ClientReaderInterceptorContext

- All Implemented Interfaces:
    `javax.ws.rs.ext.InterceptorContext`, `javax.ws.rs.ext.ReaderInterceptorContext`

      public class ClientReaderInterceptorContext
      extends AbstractReaderInterceptorContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​Object>` | `properties` |

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractReaderInterceptorContext

      `annotations, genericType, headers, index, inputStream, interceptors, mediaType, providerFactory, tracingLogger, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientReaderInterceptorContext​(javax.ws.rs.ext.ReaderInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> headers, InputStream inputStream, Map<String,​Object> properties)` | Deprecated.
    `ClientReaderInterceptorContext​(javax.ws.rs.ext.ReaderInterceptor[] interceptors, ResteasyProviderFactory providerFactory, Class type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> headers, InputStream inputStream, Map<String,​Object> properties, RESTEasyTracingLogger tracingLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getProperty​(String name)` |
    `Collection<String>` | `getPropertyNames()` |
    `void` | `removeProperty​(String name)` |
    `protected javax.ws.rs.ext.MessageBodyReader` | `resolveReader​(javax.ws.rs.core.MediaType mediaType)` |
    `void` | `setProperty​(String name, Object object)` |
    `protected void` | `throwReaderNotFound()` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.AbstractReaderInterceptorContext

      `getAnnotations, getGenericType, getHeaders, getInputStream, getMediaType, getProcessedInterceptorCount, getReader, getType, proceed, readFrom, setAnnotations, setGenericType, setInputStream, setMediaType, setType, traceAfter, traceBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected Map<String,​Object> properties

  - ### Constructor Detail

    - #### ClientReaderInterceptorContext

          @Deprecated
          public ClientReaderInterceptorContext​(javax.ws.rs.ext.ReaderInterceptor[] interceptors,
                                                ResteasyProviderFactory providerFactory,
                                                Class type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                                InputStream inputStream,
                                                Map<String,​Object> properties)

      Deprecated.

    - #### ClientReaderInterceptorContext

          public ClientReaderInterceptorContext​(javax.ws.rs.ext.ReaderInterceptor[] interceptors,
                                                ResteasyProviderFactory providerFactory,
                                                Class type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                                InputStream inputStream,
                                                Map<String,​Object> properties,
                                                RESTEasyTracingLogger tracingLogger)

  - ### Method Detail

    - #### throwReaderNotFound

          protected void throwReaderNotFound()

      Specified by:
        `throwReaderNotFound` in class `AbstractReaderInterceptorContext`

    - #### resolveReader

          protected javax.ws.rs.ext.MessageBodyReader resolveReader​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `resolveReader` in class `AbstractReaderInterceptorContext`

    - #### getProperty

          public Object getProperty​(String name)

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

    - #### setProperty

          public void setProperty​(String name,
                                  Object object)

    - #### removeProperty

          public void removeProperty​(String name)